RK-A - Bug #1746

Checking the vector similarity and wordnet similarity of "options" and "optional™ to unlink them
10/13/2021 07:17 AM - Nandini Bansal

Status: Resolved Start date: 10/13/2021
Priority: Normal Due date:

Assignee: Rohit Choudhary % Done: 0%
Category: Estimated time: 2.00 hours
Target version: P1 Spent time: 0.00 hour
Description

After the addition of the "CC" POS tag in the list of POS tags in the generate_candidates function, we saw that "optional or positional
arguments" was getting tagged to the "option arguments" document. They are unrelated the linked document talks about
command-line arguments whereas the context of the KP in the tagged document is related to function parameter/argument.

To unlink them, we can try the following ideas:
1. Check the vector similarity of the words "option" & "optional”
2. Check wordnet similarity of the words "option" & "optional”

Out of the best idea, try to test it full books of Library Reference, C-API, Whirlwind, Tutorial.

History

#1 - 10/13/2021 12:29 PM - Rohit Choudhary

- Status changed from New to In Progress

#2 - 10/26/2021 06:07 AM - Rohit Choudhary

- Status changed from In Progress to Resolved
